"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.listRequiredModules = undefined;

var _fp = require("lodash/fp");

var _fp2 = _interopRequireDefault(_fp);

var _fs = require("fs");

var _fs2 = _interopRequireDefault(_fs);

var _module = require("module");

var _module2 = _interopRequireDefault(_module);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var updatePaths = _fp2.default.update("paths", function () {
  return _module2.default._nodeModulePaths(process.cwd());
});

var listRequiredModules = exports.listRequiredModules = function listRequiredModules(packageName) {
  try {
    var module = updatePaths(new _module2.default());
    var mainFilePath = _module2.default._resolveFilename(packageName, module);

    var mainFile = _fs2.default.readFileSync(mainFilePath, "utf-8");
    var matches = mainFile.match(/\.\/([^']+)/g);

    return matches ? matches.map(function (item) {
      return item.match(/\.\/([^']+)/)[1];
    }) : [];
  } catch (e) {
    if (e.code !== "MODULE_NOT_FOUND") {
      throw e;
    }

    console.warn(e.message);

    return [];
  }
};